<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Oeffentlich\LoginAnfordern\LoginAnfordernFormular;

class LoginAnfordernFormularController extends \Kufer\KuferTools\Basis\Controller\Controller
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new LoginAnfordernFormularUseCase(
      $this->getRequestObj(),
      \ToolSettingsAPI::getToolSettings(0)
    );
  }

  protected function getRequestObj()
  {
    return new LoginAnfordernFormularRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new LoginAnfordernFormularPresenter($pUseCaseResponse);
  }
}